import { post } from '../utils'

/**
 * 登录
 * @param {string} mobilePhone - 手机号
 * @param {string} password - 密码
 * @returns {Promise} 登录结果
 */
export const login = (mobilePhone, password) => {
  return post('/admin-user/login', {
    mobilePhone,
    password
  })
}

/**
 * 登出
 * @returns {Promise} 登出结果
 */
export const logout = () => {
  return post('/admin-user/logout')
}

/**
 * 获取用户信息
 * @returns {Promise} 用户信息
 */
export const getProfile = () => {
  return post('/admin-user/profile')
}